Subject: Re: [PATCH net] net: fec: remove useless fec_enet_reset_skb()

From: Simon Horman <[email-masked]>
Date: Thu, 18 May 2023 19:17:45 +0200

On Thu, May 18, 2023 at 09:00:16PM +0800, [email-masked] wrote:
> From: Wei Fang <[email-masked]>
> 
> This patch is a cleanup for fec driver. The fec_enet_reset_skb()
> is used to free skb buffers for tx queues and is only invoked in
> fec_restart(). However, fec_enet_bd_init() also resets skb buffers
> and is invoked in fec_restart() too. So fec_enet_reset_skb() is
> redundant and useless.
> 
> Fixes: 59d0f7465644 ("net: fec: init multi queue date structure")
> Signed-off-by: Wei Fang <[email-masked]>

Hi Wei Fang,

this change looks fine to me.
But it feels much more like a cleanup than a fix to me:
what user-visible problem is it fixing?

If so, I suggest targeting against net-next without the fixes tag.